{% extends 'base.html.twig' %}

{% block special_stylesheets %}{% endblock %}

{% block sidebar %}{% endblock %}

{% block main_content %}
    <div class="security container">
        {% if app.request.hasPreviousSession %}
            {% for type, messages in app.session.flashbag.all() %}
                {% for message in messages %}
                <div class="row mt-2">
                    <div class="alert alert-{{ type }} alert-dismissible fade show align-center col-12 mb-0" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <span class="bold">{{ message }}</span>
                    </div>
                </div>
                {% endfor %}
            {% endfor %}
        {% endif %}
        {% block fos_user_content %}{% endblock fos_user_content %}
    </div>
{% endblock %}

{% block special_javascript %}
    <script>
        $(document).ready(function(){
            $('.has-error').each(function(){
                $(this).removeClass('has-error').addClass('has-danger');
                var wrapper = $('<div class="form-control-feedback">');
                $(this).append(wrapper);
                wrapper.append(function(){
                    return $(this).siblings('.help-block');
                })
            })
        });
    </script>
{% endblock %}
